From 345735fc5a5cb7a1afbcd4a4cfdfe95d5f479ec6 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 20 Feb 2017 15:27:54 +0100
Subject: [PATCH] Avoid attribute minimization in XHTML

Setting the checkbox status with just "checked" is allowed in HTML
but not XHTML as attribute minimization is forbidden. Fix by using
the full form checked="checked".
---
 templates/search/sitesearch.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/templates/search/sitesearch.html b/templates/search/sitesearch.html
index 5422516..35300e6 100644
--- a/templates/search/sitesearch.html
+++ b/templates/search/sitesearch.html
@@ -14,7 +14,7 @@
    </tr>
    <tr class="lastrow">
     <td class="colFirst"></td>
-    <td class="colLast"><input type="checkbox" name="a" value="1" {%if allsites%}CHECKED{%endif%}/>Include community sites</td>
+    <td class="colLast"><input type="checkbox" name="a" value="1" {%if allsites%}checked="checked"{%endif%}/>Include community sites</td>
    </tr>
   </table>
  </div>
-- 
2.6.4 (Apple Git-63)

